"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var N=Object.create;var g=Object.defineProperty;var O=Object.getOwnPropertyDescriptor;var I=Object.getOwnPropertyNames;var x=Object.getPrototypeOf,C=Object.prototype.hasOwnProperty;var L=(o,e)=>()=>(e||o((e={exports:{}}).exports,e),e.exports);var E=(o,e,n,s)=>{if(e&&typeof e=="object"||typeof e=="function")for(let t of I(e))!C.call(o,t)&&t!==n&&g(o,t,{get:()=>e[t],enumerable:!(s=O(e,t))||s.enumerable});return o};var y=(o,e,n)=>(n=o!=null?N(x(o)):{},E(e||!o||!o.__esModule?g(n,"default",{value:o,enumerable:!0}):n,o));var u=L((R,m)=>{m.exports=Vue});var c=y(u()),j=Object.prototype.toString,d=o=>j.call(o),S=o=>d(o).slice(8,-1),v="onShow",D="onHide",A="onLoad";function B(){return typeof __channelId__=="string"&&__channelId__}function H(o,e){switch(S(e)){case"Function":return"function() { [native code] }";default:return e}}function T(o,e,n){return B()?(n.push(e.replace("at ","uni-app:///")),console[o].apply(console,n)):n.map(function(t){let p=d(t).toLowerCase();if(["[object object]","[object array]","[object module]"].indexOf(p)!==-1)try{t="---BEGIN:JSON---"+JSON.stringify(t,H)+"---END:JSON---"}catch(a){t=p}else if(t===null)t="---NULL---";else if(t===void 0)t="---UNDEFINED---";else{let a=S(t).toUpperCase();a==="NUMBER"||a==="BOOLEAN"?t="---BEGIN:"+a+"---"+t+"---END:"+a+"---":t=String(t)}return t}).join("---COMMA---")+" "+e}function i(o,e,...n){let s=T(o,e,n);s&&console[o](s)}var _=o=>(e,n=(0,c.getCurrentInstance)())=>{!c.isInSSRComponentSetup&&(0,c.injectHook)(o,e,n)},b=_(v),w=_(D),h=_(A),k=(o,e)=>{let n=o.__vccOpts||o;for(let[s,t]of e)n[s]=t;return n};var r=y(u()),V={"ks-container":{"":{width:"750rpx"}}},J={setup(o){let e=(0,r.ref)(null),n=(0,r.ref)("750rpx");return h(()=>{uni.getSystemInfo({success:s=>{n.value=s.windowHeight+"px"}})}),b(()=>{i("log","at pages/ks/ks.nvue:22","on show"),e.value.play()}),w(()=>{i("log","at pages/ks/ks.nvue:28","on hidden"),e.value.pause()}),(s,t)=>{let p=(0,r.resolveComponent)("KsComponent");return(0,r.openBlock)(),(0,r.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,r.createVNode)(p,{ref_key:"ks_ref",ref:e,class:"ks-container",style:(0,r.normalizeStyle)("height:"+n.value+";")},null,8,["style"])])}}},l=k(J,[["styles",[V]]]);var f=plus.webview.currentWebview();if(f){let o=parseInt(f.id),e="pages/ks/ks",n={};try{n=JSON.parse(f.__query__)}catch(t){}l.mpType="page";let s=Vue.createPageApp(l,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:e,__pageQuery:n});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...l.styles||[]])),s.mount("#root")}})();
